unit Main;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, dmatrix, ExtCtrls, StdCtrls, ShellApi;

type
  TForm1 = class(TForm)
    DotMatrix5x71: TDotMatrix5x7;
    Panel1: TPanel;
    DotMatrix5x73: TDotMatrix5x7;
    Timer1: TTimer;
    Timer2: TTimer;
    Panel2: TPanel;
    Label1: TLabel;
    DotMatrix5x72: TDotMatrix5x7;
    Button1: TButton;
    procedure Timer1Timer(Sender: TObject);
    procedure Timer2Timer(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    NumOfText: integer;
    NumOfChar: integer;
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

const
  AnimatedStr =
    '                    This program uses TDotMatrix5x7 component...   '+
    'Please visit www.adcsoft.com to order your copy today!';

procedure TForm1.Timer1Timer(Sender: TObject);
begin
  inc (NumOfChar);
  DotMatrix5x73.Value := TimeToStr (Now);
  DotMatrix5x72.Value := Copy (
    AnimatedStr, NumOfChar, DotMatrix5x72.NumberOfDigits);
  if (NumOfChar > Length (AnimatedStr)) then
    NumOfChar := 1;
end;

procedure TForm1.Timer2Timer(Sender: TObject);
begin
  inc (NumOfText);
  if (NumOfText > 6) then
    NumOfText := 1;
  case (NumOfText) of
    1: DotMatrix5x71.Value := 'TDotMatrix5x7 component';
    2: DotMatrix5x71.Value := 'Copyright (c) 1999, 2001';
    3: DotMatrix5x71.Value := 'by ADC-Soft';
    4: DotMatrix5x71.Value := 'Order your copy today';
    5: DotMatrix5x71.Value := 'and get...';
    6: DotMatrix5x71.Value := 'the full source code!';
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  NumOfText := 1;
  NumOfChar := 1;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  ShellExecute (
    Handle, nil,
    'http://www.adcsoft.com/dotmatrix.html',
    nil, nil, SW_SHOWNORMAL);
end;

end.
